- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiAuxInfo Class Reference

This class allows for a more structured use of algorithmic tweaking to an OsiSolverInterface. More...

`#include <OsiAuxInfo.hpp>`

Inheritance diagram for OsiAuxInfo:

[legend]
List of all members.

## Public Member Functions
| OsiAuxInfo (void *appData=NULL)
| OsiAuxInfo (const OsiAuxInfo &rhs)
virtual | ~OsiAuxInfo ()
virtual OsiAuxInfo * | clone () const
| Clone.
OsiAuxInfo & | operator= (const OsiAuxInfo &rhs)
| Assignment operator.
void * | getApplicationData () const
| Get application data.
## Protected Attributes
void * | appData_
| Pointer to user-defined data structure.

## Detailed Description

This class allows for a more structured use of algorithmic tweaking to an OsiSolverInterface.

It is designed to replace the simple use of appData_ pointer.

This has been done to make it easier to use NonLinear solvers and other exotic beasts in a branch and bound mode. After this class definition there is one for a derived class for just such a purpose.

Definition at line 19 of file OsiAuxInfo.hpp.

## Constructor & Destructor Documentation

OsiAuxInfo::OsiAuxInfo | ( | void * | appData = `NULL` | ) |

OsiAuxInfo::OsiAuxInfo | ( | const OsiAuxInfo & | rhs | ) |

virtual OsiAuxInfo::~OsiAuxInfo | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual OsiAuxInfo* OsiAuxInfo::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented in OsiBabSolver.

OsiAuxInfo& OsiAuxInfo::operator= | ( | const OsiAuxInfo & | rhs | ) |

Assignment operator.

void* OsiAuxInfo::getApplicationData | ( |  | ) | const`[inline]`

Get application data.

Definition at line 35 of file OsiAuxInfo.hpp.

References appData_.

## Member Data Documentation

void* OsiAuxInfo::appData_`[protected]`

Pointer to user-defined data structure.

Definition at line 39 of file OsiAuxInfo.hpp.

Referenced by getApplicationData().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Alps-1.2.1/Osi/src/Osi/OsiAuxInfo.hpp